# Demos

Each of these demos showcases a small concept or feature of `engo`, or even a more sizable sample game. They have been sorted into categories below.

## Conceptual

### [Headless](headless)

Run `engo` without a graphical display. Useful for servers and testing.

### [Exit](exit)

Run some code, just before the window is actually closed (whenever the user presses the close button, for example). 

## Graphics

### [Hello World](hello-world)

Render and display a single sprite.

### [Animation](animation)

Have multiple animations.

### [Hide](hide)

Hide sprites.

### [Zoom](zoom)

Use the camera features to create zooming in/out effects.

### [Falling](falling)

A simple sample game

### [HUD](hud)

Add HUD elements to your games. Learn about priorities.

### [Shapes](shapes) 

It demonstrates how one can efficiently draw various shapes in solid colors (with/without border).

### [Scale](scale)

It demonstrates how one can manipulate the scale, by using a very simple custom System.

### [Rotation](rotation)

It demonstrates how one can create a rotating Entity.

### [Text](text)

It demonstrates how one can efficiently draw text onto the screen.

### [Scenes](scenes)

It demonstrates how one can use multiple Scenes, and switch between them.

### [IncrementalCamera](incrementalcamera)

It demonstrates how one can move the camera gradually, instead of instantaneously.

## Audio

### [Audio](audio)

Play music and sounds on different events.

## Scrolling

### [Edge Scroller](edgescroller)

Scroll by using mouse movement.

### [Entity Scroller](entityscroller)

Scroll according to movement of an entity.

### [Keyboard Scroller](keyboardscroller)

Scroll using the keyboard.

### [Zoom](zoom)

Use the mouse to scroll in and out. (zooming) 

### [MouseRotation](mouserotation)

It demonstrates how one can rotate the camera, using the middle mouse button.

## Games

### [Pong](pong)

Engo implementation of the original pong game


## Input

### [Input](input)

Demonstrates basic keyboard input

### [Keyboard Scroller](keyboardscroller)

It demonstrates how one can move the camera round, by pressing WASD.

### [Mouse](mouse)

Demonstrates basic mouse input

### [Mouse Follow](mouse-follow)

Move a sprite using the mouse

## Tiled

### [Tilemap](tilemap)

It demonstrates how one can load and render a TMX file created from the TileMap Editor

